## org.eclipse.datatools.connectivity.oda.spec.result
Class InternalResultSpecFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.result.InternalResultSpecFactory

    public class InternalResultSpecFactory

extends java.lang.Object

Internal factory of package classes.

Constructor Summary
`InternalResultSpecFactory()`

Method Summary
`static CustomAggregate` `createCustomAggregate(java.lang.String extensionId, java.lang.String id)`
`static CustomAggregate` `createCustomAggregate(java.lang.String extensionId, java.lang.String id, ExpressionVariable inputSourceVar)`
`static ResultProjection` `createResultProjection()`
`static ResultSetSpecification` `createResultSetSpecification()`
`static SortSpecification` `createSortSpecification()`
`static SortSpecification` `createSortSpecification(int sortMode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalResultSpecFactory

    public InternalResultSpecFactory()

Method Detail

### createCustomAggregate

    public static CustomAggregate createCustomAggregate(java.lang.String extensionId,
                                                        java.lang.String id,
                                                        ExpressionVariable inputSourceVar)

### createCustomAggregate

    public static CustomAggregate createCustomAggregate(java.lang.String extensionId,
                                                        java.lang.String id)

### createResultProjection

    public static ResultProjection createResultProjection()

### createResultSetSpecification

    public static ResultSetSpecification createResultSetSpecification()

### createSortSpecification

    public static SortSpecification createSortSpecification()

### createSortSpecification

    public static SortSpecification createSortSpecification(int sortMode)